# 📚 Documentation

## 🙃 Overwiew
* [Getting started](overview-getting-started.md)
* [Configure your hosts](overview-configure-hosts.md)
* [Choose the right strategy](overview-strategy-choose.md)
* [Create your own strategy](overview-strategy-create.md)
* [Troubleshooting](troubleshooting.md)

## 🤔 Strategies
* [Basic strategy](strategy-basic.md)
* [First deploy strategy](strategy-first-deploy.md)
* [Locally-built strategy](strategy-local.md)
* [Git pull only strategy](strategy-pull.md) (no zero-downtime)

## 🤓 How-tos

Server setup
* [How to deploy with Laravel Forge?](how-to-forge.md)

Deployment configurations
* [How to deploy a Lumen application?](how-to-lumen.md)
* [How to compile assets on deploy using npm?](how-to-npm.md)
* [How to send Slack notifications?](how-to-slack.md)
* [How to reload php-fpm?](how-to-reload-fpm.md)
* [How to terminate horizon?](how-to-horizon.md)

Advanced usage
* [How to create your own tasks and recipes?](how-to-custom-recipes.md)
* [How to create complex strategies?](how-to-complex-strategies.md)
* [How to use your own deployer file?](how-to-custom-deployer-file.md)
* For more advanced documentation, please refer to the [Deployer documentation](https://deployer.org/docs).

## 🎁 Available resources 
* [Available options and defaults](all-options.md)
* [Available tasks](all-tasks.md)
* [Available recipes](all-recipes.md)
